Subject: Re: gethostby... broken when forked
From: [email-masked] (Kees van Veen)

4 Dec 1997 07:43:10 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Jeff Smart <[email-masked]>
Cc: [email-masked]

Jeff Smart wrote:
> 
> I have found the BSD calls gethostbyname and gethostbyaddr break when
> they are used in a child process that was forked.
> ...
> Has anyone else found this nasty ?

Yes I have experienced this on W95 too, I moved to NT4 SP3 where your
example program works fine.

Kees
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".